summaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/lo-raidz.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/lo-raidz.sh')
-rw-r--r--scripts/zpool-config/lo-raidz.sh42
1 files changed, 0 insertions, 42 deletions
diff --git a/scripts/zpool-config/lo-raidz.sh b/scripts/zpool-config/lo-raidz.sh
deleted file mode 100644
index 90b26c591..000000000
--- a/scripts/zpool-config/lo-raidz.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/bin/bash
-#
-# 4 Device Loopback Raid-0 Configuration
-#
-FILEDIR=${FILEDIR:-/var/tmp}
-FILES=${FILES:-"$FILEDIR/file-vdev0 $FILEDIR/file-vdev1 \
- $FILEDIR/file-vdev2 $FILEDIR/file-vdev3"}
-DEVICES=""
-
-zpool_create() {
- check_loop_utils
-
- for FILE in ${FILES}; do
- DEVICE=`unused_loop_device`
- msg "Creating ${FILE} using loopback device ${DEVICE}"
- rm -f ${FILE} || exit 1
- dd if=/dev/zero of=${FILE} bs=1024k count=0 seek=256 \
- &>/dev/null || die "Error $? creating ${FILE}"
- ${LOSETUP} ${DEVICE} ${FILE} ||
- die "Error $? creating ${FILE} -> ${DEVICE} loopback"
- DEVICES="${DEVICES} ${DEVICE}"
- done
-
- msg ${ZPOOL} create ${ZPOOL_FLAGS} ${ZPOOL_NAME} raidz ${DEVICES}
- ${ZPOOL} create ${ZPOOL_FLAGS} ${ZPOOL_NAME} raidz ${DEVICES} || exit 1
-}
-
-zpool_destroy() {
- msg ${ZPOOL} destroy ${ZPOOL_NAME}
- ${ZPOOL} destroy ${ZPOOL_NAME}
-
- # Delay to ensure device is closed before removing loop device
- sleep 1
-
- for FILE in ${FILES}; do
- DEVICE=`${LOSETUP} -a | grep ${FILE} | head -n1|cut -f1 -d:`
- msg "Removing ${FILE} using loopback device ${DEVICE}"
- ${LOSETUP} -d ${DEVICE} ||
- die "Error $? destroying ${FILE} -> ${DEVICE} loopback"
- rm -f ${FILE} || exit 1
- done
-}